#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 microspec
version:              0.2.1.3
visibility:           public
id:                   microspec-0.2.1.3-L8B0ofLNiqjGdD5fdNGLZw
key:                  microspec-0.2.1.3-L8B0ofLNiqjGdD5fdNGLZw
license:              BSD-3-Clause
maintainer:           Tom Murphy
author:               Tom Murphy
stability:            experimental
synopsis:             Tiny QuickCheck test library with minimal dependencies
description:
    A tiny (1 module, <500 lines) property-based (and unit) testing library with minimal dependencies.

    Instead of reinventing the wheel (<https://xkcd.com/927>), we use a
    RSpec/HSpec-like DSL and run tests with QuickCheck.

    For many use-cases, microspec is a drop-in replacement for hspec.

    > import Test.Microspec
    >
    > main :: IO ()
    > main = microspec $ do
    >    describe "replicate" $ do
    >       it "doubles with 2" $
    >          replicate 2 '\''x'\'' === "xx"
    >       it "creates a list of the right size" $
    >          \(Positive n) -> length (replicate n '\''x'\'') === n
    >
    >    describe "reverse" $ do
    >       it "reverse . reverse === id" $ \l ->
    >          reverse (reverse l) === (l :: [Int])
    >
    >    describe "tail" $
    >       it "length is -1" $ \(NonEmpty l) ->
    >          length (tail l :: [Int]) === length l - 1
    >
    >    describe "solve the halting problem" $
    >       pending

category:             Test, Testing
abi:                  4e4d05bf446ad8c7c4f1104d6d320cfa
exposed:              True
exposed-modules:      Test.Microspec
import-dirs:          /usr/lib/ghc-9.0.2/site-local/microspec-0.2.1.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/microspec-0.2.1.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/microspec-0.2.1.3
hs-libraries:         HSmicrospec-0.2.1.3-L8B0ofLNiqjGdD5fdNGLZw
depends:
    QuickCheck-2.14.2-7UzM8aR98osKZUBQ3Iy8wM base-4.15.1.0 time-1.9.3

haddock-interfaces:   /usr/share/doc/haskell-microspec/html/microspec.haddock
haddock-html:         /usr/share/doc/haskell-microspec/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

